// David Eberly, Geometric Tools, Redmond WA 98052
// Copyright (c) 1998-2017
// Distributed under the Boost Software License, Version 1.0.
// http://www.boost.org/LICENSE_1_0.txt
// http://www.geometrictools.com/License/Boost/LICENSE_1_0.txt
// File Version: 3.0.3 (2016/11/14)

#pragma once

#include <GTLowLevel.h>
#include <GTMathematics.h>
#include <GTImagics.h>

#if !defined(__APPLE__)
#include <GTGraphics.h>
#include <GTPhysics.h>
#endif

#if defined(__MSWINDOWS__)
#if defined(GTE_DEV_OPENGL)
#include <GTGraphicsGL4.h>
#elif defined(GTE_USE_DX12)
#include <GTGraphicsDX12.h>
#else
#include <GTGraphicsDX11.h>
#endif
#endif

#if defined(__LINUX__)
#include <GTGraphicsGL4.h>
#endif

#if !defined(__APPLE__)
#include <GTApplications.h>
#endif
